package com.pm.control.service;

import java.util.List;
import com.pm.common.config.PageData;

/**
 * 设备控制记录Service接口
 *
 * @author LiXiangFei
 * @date 2025-04-16
 */
public interface IIbmsDeviceControlLogService
{
    /**
     * 查询设备控制记录
     *
     * @param id 设备控制记录主键
     * @return 设备控制记录
     */
    public PageData selectIbmsDeviceControlLogById(Long id);

    /**
     * 查询设备控制记录列表
     *
     * @param pd
     * @return 设备控制记录集合
     */
    public List<PageData> selectIbmsDeviceControlLogList(PageData pd);

    /**
     * 新增设备控制记录
     *
     * @param pd
     * @return 结果
     */
    public int insertIbmsDeviceControlLog(PageData pd);

    /**
     * 修改设备控制记录
     *
     * @param pd
     * @return 结果
     */
    public int updateIbmsDeviceControlLog(PageData pd);

    /**
     * 批量删除设备控制记录
     *
     * @param ids 需要删除的设备控制记录主键集合
     * @return 结果
     */
    public int deleteIbmsDeviceControlLogByIds(Long[] ids);

    /**
     * 删除设备控制记录信息
     *
     * @param id 设备控制记录主键
     * @return 结果
     */
    public int deleteIbmsDeviceControlLogById(Long id);
}
